#
# spec file for package susebuch (Version 1.26.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone tk unzip util-linux vim

Name:         susebuch
Provides:     susebuch 
Requires:     tetex te_ams te_latex te_mpost te_pdf te_pscm transfig susefont
Group:        Applications/Publishing/TeX
Copyright:    GPL
Summary:      LaTeX macros for the SuSE Linux Handbook
Version:      1.26.2
Release:      198
Source:       susebuch-%{version}.tar.gz
# Source1:       varioref.sty
BuildRoot:    %{_tmppath}/%{name}-root
BuildArchitectures: noarch
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644

%description
The "susebuch" package ties together numerous regular LaTeX macro
packages to show you possibilities of the LaTeX system.

Authors:
--------
    Martin Scherbaum <maddin@suse.de>
    Werner Fink <werner@suse.de>

SuSE series: tex

%package -n susefont
Summary:      Useful Typewriter Fonts
Group:        Applications/Publishing/TeX
Copyright:    GPL

%description -n susefont
The Metafont files cmbtt10.mf, cmbtt8.mf, and cmbtt9.mf, used by the
"susebuch" package.

Authors:
--------
    Subpackage of "susebuch".

SuSE series: doc

%prep
%setup -q
# cp -p $RPM_SOURCE_DIR/varioref.sty .

%build

%install
if [ -n $RPM_BUILD_ROOT ]; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
if [ -d /usr/share/texmf ] ; then
	export SB_TETEX_DIR=/usr/share/texmf
	export SB_TETEX_BIN=/usr/bin
else
	export SB_TETEX_DIR=/usr/lib/teTeX/texmf
	export SB_TETEX_BIN=/usr/lib/teTeX/bin/i386-linux
fi
make install ROOT=$RPM_BUILD_ROOT TEXMF=$SB_TETEX_DIR TEXBIN=$SB_TETEX_BIN
rm -rf $RPM_BUILD_ROOT/install
#
# Now generate the file-list, since I can't conditionally define a macro
#
rm -f filelist
touch filelist
rm -f fontlist
touch fontlist
echo "%doc COPYING" >> filelist
echo "$SB_TETEX_BIN/cleantmpl" >> filelist
echo "$SB_TETEX_BIN/sort-glossar" >> filelist
echo "$SB_TETEX_BIN/xbuch" >> filelist
echo "$SB_TETEX_BIN/xbuch2" >> filelist
echo "%dir $SB_TETEX_DIR/tex/latex/susebuch" >> filelist
echo "%dir $SB_TETEX_DIR/tex/latex/susebuch/doc" >> filelist
echo "%dir $SB_TETEX_DIR/tex/latex/susebuch/bilder" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/TipsTricks.eps" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/Wichtig.eps" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/Warnung.eps" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/TipsTricks.pdf" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/Wichtig.pdf" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/Warnung.pdf" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/keystroke_middle.eps" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/keystroke_left.eps" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/keystroke_right.eps" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/keystroke.eps.bb" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/keystroke.eps.gz" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/suse-logo-old.ps" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/suse-logo.eps" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/suse-logo.png" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/suse-logo-dots.eps" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/bilder/sni-100.eps" >> filelist
echo "%dir $SB_TETEX_DIR/fonts/source/public/susebuch" >> filelist
echo "$SB_TETEX_DIR/bibtex/bst/misc/alphadin.bst" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/doc/README.sort-glossar" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/doc/docu.tex" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/doc/Befehle.tex" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/doc/versionen.tex" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/doc/docu.dvi" >> filelist
\echo "$SB_TETEX_DIR/tex/latex/susebuch/template" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/suse-english.sty" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/suse-french.sty" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/suse-german.sty" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/suse-es.sty" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/suse-it.sty" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/suse-pt.sty" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/susebuch-xspace.sty" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/susemac.sty" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/susebuch.cls" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/suseindex.ist" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/sb10.clo" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/sb11.clo" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/sb12.clo" >> filelist
echo "%dir $SB_TETEX_DIR/tex/latex/susebuch/everyshi" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/everyshi/everyshi.dtx" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/everyshi/everyshi.ins" >> filelist
echo "$SB_TETEX_DIR/tex/latex/susebuch/everyshi/everyshi.sty" >> filelist
echo "$SB_TETEX_DIR/fonts/source/public/susebuch/cmbtt10.mf" >> fontlist
echo "$SB_TETEX_DIR/fonts/source/public/susebuch/cmbtt8.mf" >> fontlist
echo "$SB_TETEX_DIR/fonts/source/public/susebuch/cmbtt9.mf" >> fontlist
export RPM_BUILD_ROOT

%post
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%postun
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%post -n susefont
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%postun -n susefont
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%files -f filelist

%files -n susefont -f fontlist

%changelog -n susebuch
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Fri Apr 06 2001 - ke@suse.de
- Add group tag (reported by Thorsten Kukuk).
* Mon Aug 21 2000 - ke@suse.de
- update to 1.26.2.
* Wed Apr 12 2000 - ke@suse.de
- update to 1.26.0 (new macros for PPC, thanks to emap).
* Fri Apr 07 2000 - ke@suse.de
- update to 1.25.0.
- remove varioref.sty hack.
* Tue Feb 29 2000 - ke@suse.de
- update to 1.24.0.
* Fri Jan 28 2000 - ke@suse.de
- update to 1.23.0.
- add a patched version of varioref.sty temporarily.
* Tue Jan 18 2000 - ke@suse.de
- update to 1.21.0 (#816).
* Wed Jan 12 2000 - ke@suse.de
- update 1.20.0 (add ppc and sparc support) (#1363).
* Mon Dec 13 1999 - ke@suse.de
- update 1.19.0 (make `ngerman' available).
* Fri Dec 03 1999 - ke@suse.de
- update 1.18.2.
* Thu Dec 02 1999 - ke@suse.de
- update 1.18.1.
* Wed Dec 01 1999 - ke@suse.de
- update 1.18.0 (#193).
* Fri Nov 05 1999 - max@suse.de
- changed wish's path to /usr/bin
- fixed path to lxbuch in xbuch2
* Mon Nov 01 1999 - ke@suse.de
- Now we've the subpackage susefont, containing cmbtt10.mf, cmbtt8.mf,
  and cmbtt9.mf (resolve #183).
* Wed Oct 27 1999 - ke@suse.de
- update 1.17.3.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul 30 1999 - bs@suse.de
- made package noarch
* Thu Jul 29 1999 - ke@suse.de
- update 1.15.0.
* Mon Jul 26 1999 - ke@suse.de
- update 1.14.0.
* Fri Jul 16 1999 - ke@suse.de
- update 1.12.5.
* Wed Jul 14 1999 - ke@suse.de
- update 1.12.4.
* Thu Jul 01 1999 - ke@suse.de
- update 1.12.3 (improvements by stomp; english strings).
* Mon Jun 28 1999 - ke@suse.de
- update 1.12.1 (use xspace.sty).
* Mon Jun 21 1999 - ke@suse.de
- update 1.11.1 (filelist fix).
* Mon Jun 21 1999 - ke@suse.de
- update 1.11.0.
* Tue Jun 15 1999 - ke@suse.de
- update 1.9.0.
* Fri May 07 1999 - ke@suse.de
- update 1.8.2.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Wed Mar 17 1999 - ke@suse.de
- update 1.7.1.
* Tue Feb 23 1999 - ke@suse.de
- update 1.7.0.
* Sat Jan 16 1999 - ke@suse.de
- update 1.6.7.
* Mon Dec 21 1998 - ke@suse.de
- update 1.6.6.
* Tue Dec 15 1998 - ke@suse.de
- update 1.6.5.
* Fri Oct 23 1998 - ro@suse.de
- update to 1.6.4
- reintegrated changes to install depending on tetex-version
* Thu Oct 22 1998 - ke@suse.de
- update: 1.6.3: support for the forthcoming teTeX 0.9; the path settings
  are still in the old fashion, though...
- the dots are gone ;-(((
* Tue Aug 18 1998 - ke@suse.de
- update: 1.4.0: make "italian" work.
* Fri Aug 07 1998 - ke@suse.de
- update: 1.3.2: additional french macros (by francoise and hans).
* Sat Jul 11 1998 - ke@suse.de
- update: 1.2.6.
* Wed Apr 22 1998 - ke@suse.de
- update: 1.2.1.
* Tue Apr 21 1998 - ke@suse.de
- update: 1.2.0.
* Wed Mar 18 1998 - ro@suse.de
- added touch var/adm/SuSEconfig/run-texhash to %%post.
* Tue Mar 03 1998 - ke@suse.de
- update: 1.0.2.
* Sat Feb 28 1998 - bs@suse.de
- deleted texhash stuff (done by tetex package now)
* Mon Jan 19 1998 - ke@suse.de
- update: 1.0.1.
* Thu Oct 16 1997 - ke@suse.de
- update: 0.6.3.
* Wed Oct 15 1997 - ke@suse.de
- update: 0.6.2.
* Sat Oct 11 1997 - Karl Eichwalder <ke@suse.de>
  * update: 0.6.
* Thu Oct 09 1997 - Karl Eichwalder <ke@suse.de>
  * initial package: version 0.5.
